Bug 835092 - [Storage] Misleading error message when trying to edit shared disk's name.
[Storage] Misleading error message when trying to edit shared disk's name.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.1.0
Assigned To: Liron Aravot
Leonid Natapov
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-25 10:10 EDT by Leonid Natapov
Modified: 2016-02-10 11:44 EST (History)
9 users (show)

See Also:
Fixed In Version: SI9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:04:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leonid Natapov 2012-06-25 10:10:13 EDT
[Storage] Misleading error message when trying to edit shared disk's name.

Scenario:
Two (or more) VMs with the same shared disk.
vmA is up. vmB id down.

User tries to edit disk on vmB (which is down) and gets the following error message:

"Cannot edit virtual machine disk. VM status is illegal. "

But vmB is down and its status is legal.
The messages should be like when we want to remove shared disk attached to several VMs and one of the VMs is running.

"Cannot edit virtual machine disk. At least one of the VMs is not down."
Comment 1 Liron Aravot 2012-06-26 10:58:18 EDT
gerrit.ovirt.org/#/c/5721/

changed to the correct error message
Comment 2 Leonid Natapov 2012-07-09 06:34:32 EDT
si9. fixed.

Note You need to log in before you can comment on or make changes to this bug.